<% rack = nil
   match = /^node(\d+)/.match(@hostname)
   unless match.nil?
     n = match[1].to_i
     case n
     when 1..52, 901..905 
       rack = "rack05"
     when 53..164
       rack = "rack06a"
     when 165..276
       rack = "rack06b"
     when 277..388
       rack = "rack07a"
     when 389..500
       rack = "rack07b"
     when 801..840
       rack = "rack08"
     end
   else
     match = /^ovirt(\d+)/.match(@hostname)
     unless match.nil?
       n = match[1].to_i
       case n
       when 1..4
         rack = "rack09"
       when 5..8
         rack = "rack10"
       end
     end
   end
%><%= rack %> 
